Bonuses

Get Bonus Preset Details

GET
/api/v2/bonuses/presets/{presetId}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

presetId*integer

Preset ID

Header Parameters

accept-language?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/bonuses/presets/1" \  -H "accept-language: ja"
{  "id": 0,  "platform": "MetaTrader4",  "name": "Preset",  "priority": 0,  "default": true,  "lifetime": 0,  "dynamicLots": "0.000",  "enableAutoCredit": true,  "scalpingThreshold": 0,  "disabledGroups": "EURJPY, USDEUR",  "enableTrade": true,  "createdAt": "2022-01-01T00:00:00+00:00",  "updatedAt": "2022-01-01T00:00:00+00:00"}
{  "error": {    "message": "Unauthorized"  }}
{  "error": {    "message": "Forbidden"  }}
{  "error": {    "message": "Not Found"  }}
{  "error": {    "message": "Too Many Requests"  }}
{  "error": {    "message": "Service Unavailable"  }}